Bug 70830 - Window Maker won't start
Window Maker won't start
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: switchdesk (Show other bugs)
limbo
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-08-05 17:59 EDT by Wil Coulbourn
Modified: 2007-04-18 12:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-16 06:54:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wil Coulbourn 2002-08-05 17:59:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
After installing public beta 2 for Limbo, I cannot login to an X session using
Window Maker as the window manager.  I get gnome with metacity(?) instead. 
Also, there is an .xsession-error file created when logging in this way.  It is
listed below in the additional information section


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Choose Window Maker from the session list
2. Enter User name and password

	

Actual Results:  A gnome X session opens with metacity as the window manager and
gnome.

Expected Results:  An X session to open with Window Maker as the window manager.

Additional info:

This is the .xsession-error file that is created.

/etc/X11/xdm/Xsession: line 36: [: too many arguments
/etc/X11/xdm/Xsession: line 38: [: too many arguments
/etc/X11/xdm/Xsession: line 40: [: too many arguments

** (process:1041): WARNING **: CORBA_ORB_destroy: ORB still has 2 refs.
SESSION_MANAGER=local/localhost.localdomain:/tmp/.ICE-unix/958

** (process:1047): WARNING **: CORBA_ORB_destroy: ORB still has 2 refs.
no controlling tty
Error: no controlling tty for pam_timestamp_check
GLib-GObject-Message: finalizing base class of WonderlandRcStyle
Unable to open desktop file applications:///Office/redhat-spreadsheet.desktop
for panel launcher: Error reading file
'applications:///Office/redhat-spreadsheet.desktop': File not found
capplet-common-Message: cleanup_cb: Enter

** (gnome-terminal:1074): WARNING **: Error setting PTY size: Inappropriate
ioctl for device.

** (gnome-terminal:1074): WARNING **: Error reading PTY size, using defaults:
Inappropriate ioctl for device.
Saving session: gnome-terminal --use-factory
--window-with-profile-internal-id=Default --show-menubar --title
tigger@localhost:~ --working-directory /home/tigger

(gnome-terminal:1074): Gtk-CRITICAL **: file gtkwidget.c: line 2933
(gtk_widget_event): assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed

(gnome-terminal:1074): Gtk-CRITICAL **: file gtkwidget.c: line 2933
(gtk_widget_event): assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed

(gnome-terminal:1074): Gtk-CRITICAL **: file gtkwidget.c: line 2933
(gtk_widget_event): assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed

(gnome-terminal:1074): Gtk-CRITICAL **: file gtkwidget.c: line 2933
(gtk_widget_event): assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed

** (metacity:1045): WARNING **: CORBA_ORB_destroy: ORB still has 2 refs.
gnome-terminal: Fatal IO error 104 (Connection reset by peer) on X server :0.0.
Comment 1 Mike A. Harris 2002-08-07 23:37:42 EDT
if [ -f "$userresources" ]; then
    xrdb -merge "$userresources"
fi
 
# merge in keymaps


The above are lines 36 through 40 from current Xsession in the xinitrc
package.

I don't see any bugs in the XFree86 side of things.  Suggestions?
Comment 2 Phil Copeland 2002-08-08 10:38:18 EDT
I chucked out a new version of WindowMaker last night (should be in rawhide)
Seems dear ol' sawfish doesn't have a
/usr/share/apps/switchdesk/Xclients.windowmaker file.

I lazily hacked up the spec file for windowmaker to create one
[root@alpha root]# cat /usr/share/apps/switchdesk/Xclients.windowmaker 

It simply contains the single line
exec /usr/bin/wmaker

Seems to work. As for the original shell [ error's,... no idea

Phil
=--=
Comment 3 Phil Copeland 2002-08-08 10:39:52 EDT
(to be honest that file should be in switchdesk which is brosenkr's package)
Comment 4 Mike A. Harris 2002-08-16 06:54:12 EDT
Ok, thanks Bryce - reassigning to bero
Comment 5 Phil Copeland 2002-08-16 12:18:50 EDT
Updated (-2) WindowMaker withdrawn after switchdesk was updated.

Summary: update to latest switchdesk in rawhide

Closing

Note You need to log in before you can comment on or make changes to this bug.